summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-fonts/cheapskatefonts')
-rw-r--r--media-fonts/cheapskatefonts/Manifest12
-rw-r--r--media-fonts/cheapskatefonts/cheapskatefonts-1.0.ebuild40
-rw-r--r--media-fonts/cheapskatefonts/metadata.xml5
3 files changed, 57 insertions, 0 deletions
diff --git a/media-fonts/cheapskatefonts/Manifest b/media-fonts/cheapskatefonts/Manifest
new file mode 100644
index 00000000000..0b7748697fd
--- /dev/null
+++ b/media-fonts/cheapskatefonts/Manifest
@@ -0,0 +1,12 @@
+DIST Domestic_Manners.zip 51667 RMD160 d6cc6811f52f8371e1b4a5c5afaec100d052b752 SHA1 4cf8fbc5cbc9ec8231f6964cb98ac5053aefa90c SHA256 9166239b334d920db02d0d70603a2f5dd02cb3a1bea23b1b49bd8710a71b9155
+DIST Dustismo.zip 313157 RMD160 7bed288ad72b1b3341816544e51518cb7cc5e76b SHA1 3b802b57129056d1a8b4b8c1893e45e1d4a1748f SHA256 2dce72bf24984cd02665ffb868f94648097a93fd78501d7063ad576773b28302
+DIST El_Abogado_Loco.zip 85709 RMD160 bf59b820ab851dc9536df80631b220207b8ab96a SHA1 8a87f7b295aac31afcede579e498743ed0e12ab7 SHA256 28acfda65cb7c70ea68e063099d8c4bbe9ab621cafd4b14e6dfcab95f3a9343b
+DIST ItWasntMe.zip 19003 RMD160 ebba779fc6a8f1a68ba4756b1e8adba7015baded SHA1 24b4872c8cdbbf2192a6676e74443a6463044be8 SHA256 7bf7f2f308c112782fd2e89ce768dc33db9fb596f48487484614980686b362f2
+DIST MarkedFool.zip 23457 RMD160 a31046fb7bd561cf9f9d55c56cba265e19fdeaf3 SHA1 11faf7223978b061029f08775cf0fe5af621eece SHA256 76bf6fa971b2191e9110c1ca38e5806bcb6e551373d306b48b7d9dfdd5d5d084
+DIST PenguinAttack.zip 48940 RMD160 41c3a848265fb2f2dba220c96e1dc88e6fc0b4a7 SHA1 d6d3b720ee78a37456c505247ae865fa82458c80 SHA256 a6257e4551538ebd2fec22e0dcec7586f7c7e157e4a56e7163df6dfafeaae18e
+DIST Progenisis.zip 16551 RMD160 6942549f49aca2f83cb1b86e1c499c6c86423712 SHA1 c31d32d3a06fb252116abdaf8d92bd843fb6f293 SHA256 2fec008257d59ed386ee27ba9c7807f4aa6c0f0acc7ab141538b4c721d9adff6
+DIST Swift.zip 28779 RMD160 713b5033aca8847f9be4760d92de9fe1435c67b1 SHA1 ad90930e420934e027f0971bb5af76b25908047f SHA256 b5481827c80bbe311acf1cbb098dc54a64dc524efe60168d2548a4e1a0a43fab
+DIST Wargames.zip 32386 RMD160 1f9b49a96d93ba546cc696e816a9b4fc23f16a79 SHA1 344fbd630e27863947299f881dc1fde48d885503 SHA256 75dd3cbb254b957c0938ff1bc4c9543868ab90256d784a5caadf33a91f4cefb7
+DIST Winks.zip 19003 RMD160 5e19a758e6a7a18c9fec9444a33f3e988e40c99a SHA1 26a4ce8cd4ead8eade565b58cb628aa3ce803332 SHA256 0db1d4d9283c6666ac30d9738f0ca4da0b5b3e4d977a4b7dd3a5cc0ebbe68614
+DIST balker.zip 20872 RMD160 4b9d56077210fb08985af5f18966ac11aec7faa2 SHA1 d3b07da66661ca3dcb20af9b93a71e933942c0f8 SHA256 70576ce5a44f5cc548dd0f2f457ace7c6147e2173183ba545f82884fa3aff4b8
+DIST flatline.zip 31411 RMD160 4c1ba147efa58d23c45a12a3bceee33df637c37b SHA1 3a900a12897a3ba0bcb27fe900fb8e1a4a1ca13c SHA256 159ef7e8ccca72e44a5b417977d9cfcc3e27aac280ec74b34888d6a394092d59
diff --git a/media-fonts/cheapskatefonts/cheapskatefonts-1.0.ebuild b/media-fonts/cheapskatefonts/cheapskatefonts-1.0.ebuild
new file mode 100644
index 00000000000..34b974a40cc
--- /dev/null
+++ b/media-fonts/cheapskatefonts/cheapskatefonts-1.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit font
+
+DESCRIPTION="Dustismo's decorative font collection"
+HOMEPAGE="http://www.dustismo.com/site/fonts.html"
+SRC_URI="http://www.dustismo.com/fonts/Domestic_Manners.zip
+ http://www.dustismo.com/fonts/PenguinAttack.zip
+ http://www.dustismo.com/fonts/Dustismo.zip
+ http://www.dustismo.com/fonts/El_Abogado_Loco.zip
+ http://www.dustismo.com/fonts/Progenisis.zip
+ http://www.dustismo.com/fonts/flatline.zip
+ http://www.dustismo.com/fonts/MarkedFool.zip
+ http://www.dustismo.com/fonts/ItWasntMe.zip
+ http://www.dustismo.com/fonts/balker.zip
+ http://www.dustismo.com/fonts/Swift.zip
+ http://www.dustismo.com/fonts/Wargames.zip
+ http://www.dustismo.com/fonts/Winks.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~ppc s390 sh sparc x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="app-arch/unzip"
+RDEPEND=""
+
+S=${WORKDIR}
+FONT_S=${S}
+FONT_SUFFIX="ttf"
+
+src_unpack() {
+ for zip in ${A} ; do
+ echo ">>> Unpacking ${zip} to ${WORKDIR}"
+ unzip -n ${DISTDIR}/${zip} > /dev/null \
+ || die "failed to unpack ${zip}"
+ done
+}
diff --git a/media-fonts/cheapskatefonts/metadata.xml b/media-fonts/cheapskatefonts/metadata.xml
new file mode 100644
index 00000000000..696065edd33
--- /dev/null
+++ b/media-fonts/cheapskatefonts/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>fonts</herd>
+</pkgmetadata>